Subject: Re: gnutls-cli / emacs daemon stops mintty window closing
From: Reini Urban <[email-masked]>
To: [email-masked]
Cc: Ken Brown <[email-masked]>
Date: Mon, 11 Apr 2011 01:03:52 +0200
List-Id: <cygwin.cygwin.com>

2011/4/7 Ken Brown:
> [Sorry, Gary, I accidentally replied to you instead of to the list.]
>
> On 4/7/2011 3:26 AM, Gary wrote:
>>
>> If I start emacs using<<emacsclient -t --alternate-editor="">>  and that
>> emacs session uses gnutls, then after quitting emacs (or rather,
>> emacsclient - the emacs-nox process is, and should be, still running),
>> and then typing<<exit>>  the mintty window fails to close. Stopping the
>> emacs-nox process achieves nothing, but stopping the gnutls-cli process
>> results in the mintty window closing correct. The bash process ends in
>> any case.
>
> Since stopping emacs achieves nothing, I wonder if this has anything to
> do with emacs.  Can you reproduce the problem using gnutls-cli on the
> command line?  And are you sure it's really a problem and not expected
> behavior?  (I know nothing about gnutls, so I apologize if that's a
> stupid question.)

This is expected behavior and also happens with xemacs.

emacsclient starts gnutls and emacs, gnutls to be able to talk
to emacs, so you do not open more emacs windows just add buffers
closing emacs via C-x C-c just closes emacs but not gnutls.

xemacs started with that idea by using DDE channels on Windows,
gnutls is the platform compatible and secure way.
-- 
Reini Urban
http://phpwiki.org/           http://murbreak.at/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple